#!/usr/bin/env python2.4

## necessary: otherwise CryptoBoxRootActions.py will refuse to execute this script
PLUGIN_TYPE = "cryptobox"

DATE_BIN = "/bin/date"

import subprocess
import re
import sys
import os

if __name__ == "__main__":
	args = sys.argv[1:]

	self_bin = sys.argv[0]
	
	if len(args) > 1:
		sys.stderr.write("%s: too many arguments (%s)\n" % (self_bin, args))
		sys.exit(1)
	
	if len(args) == 0:
		sys.stderr.write("%s: no argument supplied\n" % self_bin)
		sys.exit(1)
	
	if re.search(u'\D', args[0]):
		sys.stderr.write("%s: illegal argument (%s)\n" % (self_bin, args[0]))
		sys.exit(1)
	
	proc = subprocess.Popen(
		shell = False,
		stdout = subprocess.PIPE,
		args = [DATE_BIN, args[0]])
	proc.wait()
	sys.exit(proc.returncode)

